import { FormikHelpers, FormikProps, FormikValues } from "formik";
import { CSSProperties, ReactNode } from "react";
import * as yup from "yup";
export type FormBoxProps<T> = {
    style?: CSSProperties;
    children: ReactNode | ((props: FormikProps<T>) => ReactNode);
    initialValues: T;
    validationSchema?: yup.Schema<T>;
    validateOnChange?: boolean;
    validateOnBlur?: boolean;
    validateOnMount?: boolean;
    enableReinitialize?: boolean;
    onSubmit: (values: T, formikHelpers: FormikHelpers<T>) => void;
};
declare const Form: <T extends FormikValues>({ style, children, initialValues, validationSchema, onSubmit, validateOnChange, validateOnBlur, validateOnMount, enableReinitialize, }: FormBoxProps<T>) => JSX.Element;
export default Form;
